org.apache.ivy.core.search

## Class RevisionEntry

- java.lang.Object
- - org.apache.ivy.core.search.RevisionEntry

    public class RevisionEntry
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`RevisionEntry(ModuleEntry mod, java.lang.String name)`

### Method Summary

Methods
`java.lang.String` `getModule()`
`ModuleEntry` `getModuleEntry()`
`java.lang.String` `getOrganisation()`
`OrganisationEntry` `getOrganisationEntry()`
`DependencyResolver` `getResolver()`
`java.lang.String` `getRevision()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RevisionEntry

    public RevisionEntry(ModuleEntry mod,
                 java.lang.String name)

### Method Detail

#### getModuleEntry

    public ModuleEntry getModuleEntry()

#### getRevision

    public java.lang.String getRevision()

#### getModule

    public java.lang.String getModule()

#### getOrganisation

    public java.lang.String getOrganisation()

#### getOrganisationEntry

    public OrganisationEntry getOrganisationEntry()

#### getResolver

    public DependencyResolver getResolver()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`